Bug 30677 - sndconfig failure with two sound cards
Summary: sndconfig failure with two sound cards
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sndconfig   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
: 30673 49756 67738 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-05 19:26 UTC by David Balažic
Modified: 2014-03-17 02:19 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-21 22:18:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Balažic 2001-03-05 19:26:22 UTC
Clean install of Wolverine from CD GUI mode
I have an onboard VIA AC97 audio and a soundblaster 64 PCI card.

anaconda detected and set up both cards correctly.
( although  /etc/sysconfig/soundcard contained only one line :
CARDTYPE=ES1370 
)

Just to test , I "uninstalled" the cards by :
 - deleting the alias lines for sound-slot-{0,1} in
   /etc/modules.conf
 - deleting both entries in /etc/sysconfig/hwconf
 - deleting the file /etc/sysconfig/soundcard

Then I run kudzu. It found both cards and run sndconfig twice.
But sndconfig in both cases configured the VIA AC97 card.

State after that :

/etc/modules.conf :
alias parport_lowlevel parport_pc
alias usb-controller usb-uhci
alias sound-slot-0 via82cxxx_audio
options sb support=1   # ??? what is this ??? another bug ?

/etc/sysconfig/soundcard :
# THIS FILE IS WRITTEN BY SNDCONFIG
# PLEASE USE SNDCONFIG TO MODIFY
# TO CHANGE THIS FILE!
# There should be no spaces at the start of a line
# or around the '=' sign
CARDTYPE=VI82CXXX

Versions :
kudzu-0.96.7-1
sndconfig-0.62-1

Comment 1 Bill Nottingham 2001-03-05 19:42:34 UTC
sndconfig doesn't support multiple sound cards, and won't in the near future.

Comment 2 Bill Nottingham 2001-03-05 19:43:25 UTC
The 'options sb' line should go away with current sndconfig.

Comment 3 Bill Nottingham 2001-03-05 19:44:08 UTC
*** Bug 30673 has been marked as a duplicate of this bug. ***

Comment 4 Bill Nottingham 2002-01-24 05:38:42 UTC
*** Bug 49756 has been marked as a duplicate of this bug. ***

Comment 5 Bill Nottingham 2002-07-22 23:09:13 UTC
*** Bug 67738 has been marked as a duplicate of this bug. ***

Comment 6 Bill Nottingham 2005-01-21 22:18:19 UTC
sndconfig is no longer developed, and this release has reached end-of-life.
Closing out old bugs.


Note You need to log in before you can comment on or make changes to this bug.